import { Payload } from '..';
import { User } from '../auth';
import { Operation } from '../types';
import { HookName, FieldAffectingData } from './config/types';
declare type Arguments = {
    hook: HookName;
    field: FieldAffectingData;
    path: string;
    errors: {
        message: string;
        field: string;
    }[];
    data: Record<string, unknown>;
    fullData: Record<string, unknown>;
    originalDoc: Record<string, unknown>;
    fullOriginalDoc: Record<string, unknown>;
    id?: string | number;
    skipValidation?: boolean;
    user: User;
    operation: Operation;
    payload: Payload;
};
declare const validationPromise: ({ errors, hook, originalDoc, fullOriginalDoc, data, fullData, id, field, path, skipValidation, user, operation, payload, }: Arguments) => Promise<string | boolean>;
export default validationPromise;
